import { Page } from "@/pages/base";
import { Box, Button, Container, Divider, Typography } from "@material-ui/core";
import { route } from "@/routing";
import { Link as RouterLink } from "react-router-dom";
import React from "react";

export const NotFoundPage = () => {
    return <Page title="Strona nie została znaleziona">
        <Container>
            <Typography variant="h1">404</Typography>
            <Typography variant="h2">Strona nie została znaleziona</Typography>

            <Box my={ 4 }>
                <Divider variant="fullWidth"/>
            </Box>

            <Button to={ route("home") } color="primary" component={ RouterLink }>strona główna</Button>
        </Container>
    </Page>
}

export default NotFoundPage;
